<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Teknisa\Entities\BudgetItemPrices as EntityBudgetItemPrices;
use Teknisa\Model\Util\NovoCodigo as NovoCodigo;

class BudgetItemPrices {
    
    public function save(EntityBudgetItemPrices $entityBudgetItemPrices = null, $moeda, $budgetItemId, $value, $dtinclusao, $cdoperinclusao, $nrorg)
    {
        if ($entityBudgetItemPrices === null) {
            $novoCodigo = NovoCodigo::geraCodigo($nrorg, "BUDGET_ITEM_PRICES", 1, 10, false, false);
            $entityBudgetItemPrices = new EntityBudgetItemPrices();
            $entityBudgetItemPrices->setId($novoCodigo);
           
            $entityBudgetItemPrices->setCreatedAt($dtinclusao);
            $entityBudgetItemPrices->setCreatedBy($cdoperinclusao);

            $entityBudgetItemPrices->setIdBudgetItem($budgetItemId);
            $entityBudgetItemPrices->setnrMoeda($moeda);
            $entityBudgetItemPrices->setOrganizationId($nrorg);

        }
        
        $entityBudgetItemPrices->setUpdatedAt($dtinclusao);
        $entityBudgetItemPrices->setUpdatedBy($cdoperinclusao);
      
        $entityBudgetItemPrices->setValue($value);
        
        return $entityBudgetItemPrices;
    }
} 